Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

List inventory sets

Get all trading card sets with ownership information for the authenticated user

POST/v1/account.listInventorySets
Authorization
AuthorizationBearer token · headerrequired
Query parameters
cursorinteger<int32>

App id from a previous page's nextCursor. Omit for the first page

min 0
limitinteger<int64>

Sets (apps) per page

min 1 · max 500 · default: 100
Responses
200

OK

inventoryUpdatedAtinteger<int64>

When inventory was last updated (unix millis)

nextCursorinteger<int32> | nullrequired

Cursor for the next page, null when this is the last page

min 0
nextRefreshAtinteger<int64>

When next refresh is allowed (unix seconds)

setsInventorySet[] | nullrequired

Inventory sets with ownership info

Show properties
Array of InventorySet
appIdinteger<int32>required

The app id

min 0
foilCard[] | nullrequired

Foil cards with owned amounts

Show properties
Array of Card
amountinteger<int32>required

Owned amount

min 0
namestringrequired

Card name

foilSetsinteger<int32>required

Number of complete foil sets

min 0
normalCard[] | nullrequired

Normal cards with owned amounts

Show properties
Array of Card
amountinteger<int32>required

Owned amount

min 0
namestringrequired

Card name

normalSetsinteger<int32>required

Number of complete normal sets

min 0
totalinteger<int64>required

Total number of sets (apps) across all pages

400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://api.steamsets.com/v1/account.listInventorySets' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "inventoryUpdatedAt": 0,
  "nextCursor": 0,
  "nextRefreshAt": 0,
  "sets": [
    {
      "appId": 0,
      "foil": [
        {
          "amount": 0,
          "name": "string"
        }
      ],
      "foilSets": 0,
      "normal": [
        {
          "amount": 0,
          "name": "string"
        }
      ],
      "normalSets": 0
    }
  ],
  "total": 0
}